#include<stdio.h>
#include<math.h>

int n;

double x[2000], y[2000];

int a, b, c, d;

double  res= 1e10;

FILE* f;

int i;

int main()
{
 f = fopen("farmeri.in", "r");
 
 fscanf(f, "%d", &n);
 
 for(i = 0; i < n; i++)
 fscanf(f, "%lf%lf",&x[i],&y[i]);
 
 for(a = 0; a < n; a++)
 for(b = 0; b < n; b++)
 for(c = 0; c < n; c++)
 for(d = 0; d < n; d++)
 {
  res <?= fabs((x[a]-x[b])*(y[a]-y[b]) + (x[b]-x[c])*(y[b]-y[c]) + (x[c]-x[d])*(y[c]-y[d]) +(x[d]-x[a])*(y[d]-y[a]))/2;
 }
 
 f = fopen("farmeri.out", "w");
 
 fprintf(f, "%.3lf", res);
 
 return 0;
}
